DCMTK - Bug #18

dcmdijpeg stiirzt bei fehlerhaft codiertem Bild ab
2008-08-14 00:00 - Marco Eichelberg

Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 100%
Category: Estimated time: 0:00 hour

Target version:

Module: dcmijpeg, decmjp2k?, decmdata? Compiler:

Operating System:

Description

Es gibt ein Beispielbild, das dcmdjpeg zum Absturz bringt. Vermutlich wiirde

der gleiche Fehler bei anderer Transfersyntax auch andere Codecs zum Absturz bringen
(RLE, JP2K, JPLS). Das Problem in der Datei
/share/dicom/images/damaged/undefined_length_pixel_item.dcm

ist, dass gar keine Pixeldaten vorhanden sind, daflr das Pixel Item mit

der Langenangabe "undefined Length" codiert ist. Hier die letzten Bytes

der Datei:

EO 7F 10 00 4F 42 00 00 FF FF FF FF FE FF 00 EO
00 00 00 00 FE FF 00 EO FF FF FF FF

(7£fe0,0010) OB (undefined length)
(fffe,e000) pi (length=0)
(fffe,e000) pi (undefined length)

Siehe auch Mail von Mathieu Malaterre vom 5.5.2008

=== Kommentar JR (2009-04-28) ===

Absturz tritt beim aktuellen Snapshot nicht mehr auf.

History

#1 - 2014-09-22 16:53 - Michael Onken
- Description updated

- Private changed from No to Yes

#2 - 2015-01-15 13:40 - Michael Onken

- Private changed from Yes to No

2025-09-07 1/1



http://www.tcpdf.org

